what mods does distant horizon need to run with others

also got this error The game crashed whilst initializing game also got this error code Error: java.lang.NoClassDefFoundError: com/seibel/distanthorizons/api/interfaces/override/rendering/IDhApiShadowCullingFrustum exit code:-1073740940
33 Replies
MithicSpirit
MithicSpirit3mo ago
what other mods are you using? how did you install DH? if you're using shaders you probably need the version from https://discord.com/channels/881614130614767666/881744029509906472/1236438739652186193
NinjaDragon
NinjaDragon3mo ago
a bunch of mods like alex stuff ice and fire create mod and installed it from curse forge
MithicSpirit
MithicSpirit3mo ago
if using the latest version I sent doesn't work, try disabling all mods other than DH and seeing if you still get that same error
NinjaDragon
NinjaDragon3mo ago
Different error but still crashed again
Miki_P98
Miki_P983mo ago
Just DH, does not need anything To play with shaders you need Sodium/Embedium, Iris/Oculus, Indium (only fabric) Some mods are incompatible because of their trickery you can try searching here: https://discord.com/channels/881614130614767666/1035937813310484540 One of those is Alexe's caves, you can try the fix present in above channel
MarijnIsN00B
MarijnIsN00B3mo ago
Try updating Iris and deleting your old DH config /dhconfig
YAGPDB.xyz
YAGPDB.xyz3mo ago
To edit the config, press the button next to the FOV slider to edit the config. The config file found in .minecraft/config/DistantHorizons.toml
NinjaDragon
NinjaDragon3mo ago
I’ll try that when I get home
Yeshi
Yeshi3mo ago
/logs
YAGPDB.xyz
YAGPDB.xyz3mo ago
You should send your latest.log file to provide additional useful information. Logs are located in the .minecraft/logs directory. On Windows: %appdata%\.minecraft\logs On Linux: ~/.minecraft/logs
NinjaDragon
NinjaDragon3mo ago
and the crash report aswell
Yeshi
Yeshi3mo ago
did you remove the start of your latest.log? there's no useful info in there
NinjaDragon
NinjaDragon3mo ago
nope thats all of it
Yeshi
Yeshi3mo ago
weird, it doesn't even get to the mod loading part
NinjaDragon
NinjaDragon3mo ago
here if add all the mods i want and then try and add those two and it crashes ill let you know
Yeshi
Yeshi3mo ago
does dh + embbeddium + oculus work?
NinjaDragon
NinjaDragon3mo ago
no
Yeshi
Yeshi3mo ago
what if it's just with dh present?
NinjaDragon
NinjaDragon3mo ago
yeah those three dont work together but if its just dh by itself it works just fine
Yeshi
Yeshi3mo ago
can you test dh + embeddium?
NinjaDragon
NinjaDragon3mo ago
yeah
Yeshi
Yeshi3mo ago
just to confirm, you're using the nightly from #links-n-downloads (or the RC) with the latest versions of embeddium and oculus?
NinjaDragon
NinjaDragon3mo ago
they work
Yeshi
Yeshi3mo ago
just an oculus issue then. which version of oculus are you trying to run?
NinjaDragon
NinjaDragon3mo ago
1.7.0 newest one just tried it dont work
Yeshi
Yeshi3mo ago
you should ask the oculus devs for support instead because it's a non dh issue
NinjaDragon
NinjaDragon3mo ago
they on here
Yeshi
Yeshi3mo ago
NinjaDragon
NinjaDragon3mo ago
im in it already but i belive i got everything sent and done
TheMrSanta
TheMrSanta3mo ago
ive been having the same problem distant horizons + shaders is such a pain on forge
NinjaDragon
NinjaDragon3mo ago
remove oculus and try it with a similar one and see if that works @Yeshi (GMT+2) i got the physics mod to work i cant find a shaderpack mod loader though
Yeshi
Yeshi3mo ago
the only mod for shaders that's supported is oculus (on forge). as i mentioned earlier you'll have to ask for help in their server, i've got no idea why it's not working for you
NinjaDragon
NinjaDragon3mo ago
Crap